Arch SectionPlane

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Arch SectionPlane and the translation is 54% complete.

Outdated translations are marked like this.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎日本語 • ‎română • ‎русский • ‎svenska • ‎Türkçe • ‎українська
Arrow-left.svg Arch Window.svg Fenster Vorherige:
Nächste: Achse Arch Axis.svg Arrow-right.svg

Arch SectionPlane.svg Arch Section Plane

Menüeintrag
Arch → Schnittebene
Arbeitsbereich
Arch
Standardtastenkürzel
S P
In der Version eingeführt
-
Siehe auch
Draft Form in 2D-Ansicht, TechDraw NewArch


Beschreibung

Dieses Werkzeug platziert im aktuellen Dokument ein Schnittebenen-"Ding", das eine Schnitt- oder Ansichtsebene definiert. Das "Ding" übernimmt die Einstellungen von der aktuellen Draft Arbeitsebene und kann durch verschieben und drehen verlagert und neu ausgerichtet werden, bis sie die 2D-Ansicht beschreibt, die Du erreichen möchtest. Das Schnittebenen-Objekt wird nur einen bestimmten Satz von Objekten berücksichtigen. Objekte, die bei der Erstellung einer Schnittebene ausgewählt werden, werden automatisch diesem Satz hinzugefügt. Andere Objekte können später einem Schnittebenen-Objekt mit Komponente hinzufügen hinzugefügt oder mit Komponente entfernen daraus entfernt oder durch doppelklicken der Schnittebene in der Baumansicht bearbeitet werden.

Die Schnittebene allein wird keine Ansicht ihrer Objekte erstellen. Dafür muss entweder eine Zeichnungsansicht auf einer Zeichnungsseite, eine Form in 2D-Ansicht für eine Ansicht im 3D-Dokument selbst oder ein Zeichnungsausschnitt für eine Ansicht in einer TechDraw-Seite erzeugt werden.

Arch SectionPlane example.jpg

Anwendung

  1. Optionally, set the Draft Working Plane to reflect the plane where you want to place the Section Plane.
  2. Select objects you want to be included in your section view.
  3. Press the Arch SectionPlane.svg SectionPlane button or press S then P keys.
  4. Move/rotate the Section Plane into correct position if needed.
  5. Select the Section Plane if not selected already.
  6. Use either Drawing DraftView, Draft Shape2DView or TechDraw ArchView to create a view.

Optionen

  • The Section plane object will only consider a certain set of objects, not all the objects of the document. Objects can be added or removed from a SectionPlane object by using the Arch Add and Arch Remove tools, or by double-clicking the Section Plane in the tree view, selecting objects either in the list of in the 3D scene, and pressing the add or remove buttons.
  • With a section plane object selected, use the Draft Shape2DView tool to create a shape object representing the section view in the document

Arch Section example2.jpg

Arch Section example3.jpg

  • The Section Plane can also be used to show the entire 3D view cut by an infinite plane. This is only visual, and won't affect the geometry of the objects being cut.

Arch SectionPlane CutView.jpg

Eigenschaften

  • DATAOnly Solids: If this is True, non-solid objects in the set will be disregarded
  • VIEWDisplay Length: The length of the section plane gizmo in the 3D view. Doesn't affect the resulting view
  • VIEWDisplay Height: The height of the section plane gizmo in the 3D view. Doesn't affect the resulting view
  • VIEWArrow Size: The size of the arrows of the section plane gizmo in the 3D view. Doesn't affect the resulting view
  • VIEWCut View: If this is True, the whole 3D view will be cut at the location of this section plane.
  • VIEWClip view: if this is True, it will clip the view to the display height and length of the section plane. This effectively turns the section plane into an orthographic camera, limiting the field of view. introduced in version 0.19

Arch SectionPlane ClipView.png

The Arch SectionPlane with the clip view option will behave like a camera, limiting the field of view.


Scripting

Siehe auch: Arch API und FreeCAD Scripting Basics.

Das Schnittebene-Werkzeug kann in Makros ebenso wie aus der Python-Konsole heraus über folgende Funktion angesprochen werden:

Section = makeSectionPlane(objectslist=None, name="Section")
  • Erzeugt ein Section-Objekt aus objectslist, einer Liste von Objekten.

Beispiel:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
baseline2 = Draft.makeLine(p1, -1*p2)

Wall1 = Arch.makeWall(baseline, length=None, width=150, height=2000)
Wall2 = Arch.makeWall(baseline2, length=None, width=150, height=1800)
Structure = Arch.makeStructure(length=1000, width=1000, height=200)
FreeCAD.ActiveDocument.recompute()

BuildingPart = Arch.makeBuildingPart([Wall1, Wall2])

Floor = Arch.makeFloor([BuildingPart])
Building = Arch.makeBuilding([Floor, Structure])
Site = Arch.makeSite(Building)
FreeCAD.ActiveDocument.recompute()

Section1 = Arch.makeSectionPlane([Wall1, Wall2])
Section2 = Arch.makeSectionPlane([Structure])
Section3 = Arch.makeSectionPlane([Site])
FreeCAD.ActiveDocument.recompute()
Arrow-left.svg Arch Window.svg Fenster Vorherige:
Nächste: Achse Arch Axis.svg Arrow-right.svg